import { enterWith } from '../../support/cypress.util';

export class VorgangZusammenarbeitE2EComponent {
  private readonly anfrageButton: string = 'anfrage-erstellen-button';
  private readonly zustaendigeStelleButton: string = 'zustaendige-stelle-search-button';
  private readonly titelText: string = 'Titel-text-input';
  private readonly nachrichtText: string = 'Nachricht-textarea';
  private readonly sendButton: string = 'collaboration-request-send-button';
  private readonly cancelButton: string = 'collaboration-request-cancel-button';

  public getAnfrageButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.anfrageButton);
  }

  public createAnfrage(): void {
    this.getAnfrageButton().click();
  }

  public getZustaendigeStelleButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.zustaendigeStelleButton);
  }

  public searchZustaendigeStelle(): void {
    this.getZustaendigeStelleButton().click();
  }

  public getStelleTitel(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.titelText);
  }

  public enterTitel(text: string): void {
    enterWith(this.getStelleTitel(), text);
  }

  public getStelleNachricht(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.nachrichtText);
  }

  public enterNachricht(text: string): void {
    enterWith(this.getStelleNachricht(), text);
  }

  public getSendButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.sendButton);
  }

  public sendAnfrage(): void {
    this.getSendButton().click();
  }

  public getCancelButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.cancelButton);
  }

  public cancelAnfrage(): void {
    this.getCancelButton().click();
  }
}
