package de.ozgcloud.alfa.common.command;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.EnumSource;
import org.junit.jupiter.params.provider.EnumSource.Mode;

class CommandStatusTest {

	@Nested
	class TestIsNotDone {

		@ParameterizedTest
		@EnumSource(names = { "PENDING", "REVOKE_PENDING" })
		void shouldReturnTrue(CommandStatus status) {
			var istNotDone = status.isNotDone();

			assertThat(istNotDone).isTrue();

		}

		@ParameterizedTest
		@EnumSource(names = { "PENDING", "REVOKE_PENDING" }, mode = Mode.EXCLUDE)
		void shouldReturnFalse(CommandStatus status) {
			var istNotDone = status.isNotDone();

			assertThat(istNotDone).isFalse();
		}

	}

}